# FairMQ: fair::mq::StateQueue Class Reference

fair::mq::StateQueue Class Reference

## Public Member Functions

fair::mq::State | WaitForNext ()
template<typename Rep , typename Period >
std::pair< bool, fair::mq::State > | WaitForNext (std::chrono::duration< Rep, Period > const &duration)
void | WaitForState (fair::mq::State state)
void | Push (fair::mq::State state)
void | Clear ()

The documentation for this class was generated from the following file:

- fairmq/StateQueue.h

privacy